DtSessionSavePath(library call)

NAME
DtSessionSavePath — get a pathname for saving application state information

SYNOPSIS

#include &<Dt/Session.h>
Boolean DtSessionSavePath(
Widget widget,
char **savePath,
char **saveFile);

DESCRIPTION

The DtSessionSavePath function returns the pathname to be used by an application for saving its state information. The information is later used by the application to restore its state.

The widget argument is the application's top level widget. The savePath argument is the address of the character string to receive the pathname of the state information file to be used by the application for storing its state. The saveFile argument is the address of the character string to receive the filename of the file to be used by the application for storing its state.

RETURN VALUE

Upon successful completion, the DtSessionSavePath function returns True; otherwise, it returns False.

APPLICATION USAGE

The application should add -session saveFile when it updates its WM_COMMAND property.

The application must use XtFree(3) to free data returned in *savePath and *saveFile.

SEE ALSO

Dt/Session.h - DtSession(5), DtSessionRestorePath(3); XtFree(3).